* Encoding: windows-1252.
/*********************************************************************************************************/
/*                                                                                                                                                                            */
/* This SPSS program will extract the United States Sentencing Commission's                                 */
/* Life Sentences in the Federal System report 20 year  file and create a SPSS dataset.                   */
/*                                                                                                                                                                             */
/* Prior to running the program you must update the DAT file location in the                                         */
/* FILE HANDLE DATA / NAME line to correspond to the location of the file on your                             */
/* computer.                                                                                                                                                         */
/*                                                                                                                                                                             */
/* You must also update the file output location in the SAVE OUTFILE statement at the                     */
/* end of the program to correspond to the folder you want the output file to be located.                     */
/*                                                                                                                                                                             */
/*********************************************************************************************************/

FILE HANDLE DATA / NAME=".\USSC_Life20yr_Public.dat" ENCODING="CP1252" / LRECL=44 .

DATA LIST FILE=DATA/
   DEFACTO 1-3              LIFE 4-6                 LIFE_STATMAX 7-9      
   LIFE_STATMIN 10-12       LIFECAT 13-15            FY 16-19              
   SENTTOT 20-27            USSCIDN 28-34            STATMAX 35-39         
   STATMIN 40-44 .       


FORMATS
  SENTTOT (F9.2) / .
    
VARIABLE LABELS
   USSCIDN 'USSCIDN'
   STATMAX 'MONMAX'
   STATMIN 'MONMIN' .

SAVE OUTFILE='.\USSC_Life20yr_Public.sav'.
